package gov.va.med.common;

import org.dozer.DozerBeanMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class JMeadowsQueryBuilderFactory {
    @Autowired
    protected DozerBeanMapper dozerBeanMapper;

    @Autowired
    protected AppConfig appConfig;

    public JMeadowsQueryBuilder getBuilder() {
        return new JMeadowsQueryBuilder(appConfig, dozerBeanMapper);
    }
}
