package gov.va.med.guibeans;


import gov.va.med.jmeadows.webservice.Diagnosis;
//import gov.va.med.jmeadows.webservice.Evaluation;
import gov.va.med.jmeadows.webservice.Procedure;
import gov.va.med.jmeadows.webservice.Provider;

import java.util.Calendar;
import java.util.List;

public class GUIPatientEncounter extends GUIBean {
    private String arrivalDateTime;
    private String complexDataUrl;
    private String departureDateTime;
    private List<GUIDiagnosis> diagnosis;
    private String dischargeDisposition;
    private List<GUIEncounterDocument> documents;
    private String encounterId;
    private String encounterNumber;
    private String enteredBy;
    private String enteredByDate;
    private String evalManagementCode;
    private List<GUIProcedure> procedures;
    private GUIProvider provider;
    private String reason;
    private String reasonCode;
    private String reasonNarrative;
    private String clinic;
    private String roomBed;
    private String specialty;
    private boolean noteAsBinaryStream;
    private boolean vaNote;
    private String apptDate;
    private String apptType;
    private String status;


    /**
     * Is encounter marked as sensitive?
     */
    private boolean sensitive;

    public String getArrivalDateTime() {
        return arrivalDateTime;
    }

    public void setArrivalDateTime(String arrivalDateTime) {
        this.arrivalDateTime = arrivalDateTime;
    }

    public String getComplexDataUrl() {
        return complexDataUrl;
    }

    public void setComplexDataUrl(String complexDataUrl) {
        this.complexDataUrl = complexDataUrl;
    }

    public String getDepartureDateTime() {
        return departureDateTime;
    }

    public void setDepartureDateTime(String departureDateTime) {
        this.departureDateTime = departureDateTime;
    }

    public List<GUIDiagnosis> getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(List<GUIDiagnosis> diagnosis) {
        this.diagnosis = diagnosis;
    }

    public String getDischargeDisposition() {
        return dischargeDisposition;
    }

    public void setDischargeDisposition(String dischargeDisposition) {
        this.dischargeDisposition = dischargeDisposition;
    }

    public List<GUIEncounterDocument> getDocuments() {
        return documents;
    }

    public void setDocuments(List<GUIEncounterDocument> documents) {
        this.documents = documents;
    }

    public String getEncounterId() {
        return encounterId;
    }

    public void setEncounterId(String encounterId) {
        this.encounterId = encounterId;
    }

    public String getEncounterNumber() {
        return encounterNumber;
    }

    public void setEncounterNumber(String encounterNumber) {
        this.encounterNumber = encounterNumber;
    }

    public String getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(String enteredBy) {
        this.enteredBy = enteredBy;
    }

    public String getEnteredByDate() {
        return enteredByDate;
    }

    public void setEnteredByDate(String enteredByDate) {
        this.enteredByDate = enteredByDate;
    }

    public String getEvalManagementCode() {
        return evalManagementCode;
    }

    public void setEvalManagementCode(String evalManagementCode) {
        this.evalManagementCode = evalManagementCode;
    }

    public List<GUIProcedure> getProcedures() {
        return procedures;
    }

    public void setProcedures(List<GUIProcedure> procedures) {
        this.procedures = procedures;
    }

    public GUIProvider getProvider() {
        return provider;
    }

    public void setProvider(GUIProvider provider) {
        this.provider = provider;
    }

    public String getReasonCode() {
        return reasonCode;
    }

    public void setReasonCode(String reasonCode) {
        this.reasonCode = reasonCode;
    }

    public String getReasonNarrative() {
        return reasonNarrative;
    }

    public void setReasonNarrative(String reasonNarrative) {
        this.reasonNarrative = reasonNarrative;
    }

    public String getRoomBed() {
        return roomBed;
    }

    public void setRoomBed(String roomBed) {
        this.roomBed = roomBed;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getApptDate() {
        return apptDate;
    }

    public void setApptDate(String apptDate) {
        this.apptDate = apptDate;
    }

    public String getApptType() {
        return apptType;
    }

    public void setApptType(String apptType) {
        this.apptType = apptType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public boolean isSensitive() {
        return sensitive;
    }

    public void setSensitive(boolean sensitive) {
        this.sensitive = sensitive;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getClinic() {
        return clinic;
    }

    public void setClinic(String clinic) {
        this.clinic = clinic;
    }

    public boolean isNoteAsBinaryStream() {
        return noteAsBinaryStream;
    }

    public void setNoteAsBinaryStream(boolean noteAsBinaryStream) {
        this.noteAsBinaryStream = noteAsBinaryStream;
    }

    public boolean isVaNote() {
        return vaNote;
    }

    public void setVaNote(boolean vaNote) {
        this.vaNote = vaNote;
    }
}
