<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns="http://domain.ext/vistaweb/sitesTable" version="1.0">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template match="/ns:VhaVisnTable">
			<xsl:for-each select="ns:VhaVisn">
				<xsl:for-each select="ns:VhaSite">
					<xsl:value-of select="@name"/>
					<xsl:text> (</xsl:text>
					<xsl:value-of select="@moniker"/>
					<xsl:text>) stationNumber=</xsl:text>
					<xsl:value-of select="@ID"/>
					<xsl:text>&#13;&#10;</xsl:text>
					<xsl:for-each select="ns:DataSource">
						<xsl:text>  Type=</xsl:text>
						<xsl:value-of select="@protocol"/>
						<xsl:text> Host=</xsl:text>
						<xsl:value-of select="@source"/>
						<xsl:text> Port=</xsl:text>
						<xsl:value-of select="@port"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:for-each>
					<xsl:text>&#13;&#10;</xsl:text>
				</xsl:for-each>
			</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
