/*
 * Janus 4.0 (c)
 * Copyright (c) 2012 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.ehr.common;


public class EHRException extends RuntimeException {
    /**
     * Class UID.
     */
    private static final long serialVersionUID = 7756861687753716152L;

    public EHRException(Exception except) {
        super(except);
    }

    public EHRException(String msg) {
        super(msg);
    }
}
