package gov.va.med.jmeadows.dao.hdd;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import java.util.ArrayList;
import java.util.List;

@XmlRootElement(name = "ITEMS")
@XmlAccessorType(XmlAccessType.FIELD)
public class CodeMappingList {

    @XmlElement(name = "ITEM")
    private List<CodeMappingItem> codeMappingItems;

    public List<CodeMappingItem> getCodeMappingItems() {

        if (codeMappingItems == null) {
            codeMappingItems = new ArrayList<CodeMappingItem>();
        }

        return codeMappingItems;
    }
}
