/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.provider;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.AuthUserInfo;
import gov.va.med.jmeadows.webservice.JMeadowsData;
import org.junit.Test;

import static org.junit.Assert.fail;

public class AuthUserDaoTest
{
    public AuthUserDaoTest()
    {
    }

    @Test
    public void testGetAuthUser()
    {
        try {
            AuthUserInfo info = new AuthUserInfo();

            // Required parameters
            info.setCardId("");         // Card ID
            info.setOrganization("");   // DOD or VA

            JMeadowsData jData = new JMeadowsData();
            AuthUserInfo result = jData.getAuthUser(info);

            assert(result != null);
        }
        catch(JMeadowsException e) {
            fail(e.getMessage());
        }
    }
}
