//= require ../../WidgetWindow.js

JLV.PatientWidgetWindow = JLV.WidgetWindow.extend({
    doPrint: function () {

        if (this.get('displayMode') !== 'paged')
            return;

        if (false) {

            var printDialog = $('#WidgetPrintDialog').data('widget');

            var $items = $('#WidgetPrintDialogItems');

            $items.empty();

            var count = this.options.columns.length,
                i = 0;

            for (; i < count; i++) {
                console.log(this.options.columns[i])
                var $cb = $(_.template('<div class="jlv-print-option"><input type="checkbox" id="jlv-print-option-{{idx}}"/><label for="jlv-print-option-{{idx}}">{{title}}</label></div>')
                ({
                    idx: i,
                    title: this.options.columns[i].title

                }));


                $items.append($cb);
            }


            printDialog.center();
            printDialog.open();

        }
        else {

            if (this._datagrid) {
                //fit columns to 775 width
                this._datagrid.$el.width(775);
                this._datagrid.sizer();


                var dataHTML = '<html><head><title>{{title}}</title>\n{{cssLink1}}\n{{cssLink2}}</head>';
                dataHTML += '<body><div style="text-align: center;font-weight: bold;">For Official Use Only</div>';

                if (JLV.common.isDoDProvider(JLV.ActiveProvider)) {
                    dataHTML += '<div><b>Patient Name: </b>{{name}} &nbsp;<b>DOB: </b>{{dob}} &nbsp;<b>Gender: </b>{{gender}} &nbsp;<b>DoD ID: </b>{{edipi}}</div>';
                }
                else {
                    dataHTML += '<div><b>Patient Name: </b>{{name}} &nbsp;<b>DOB: </b>{{dob}} &nbsp;<b>Gender: </b>{{gender}} &nbsp;<b>SSN: </b>{{fmpssn}}</div>';
                }

                dataHTML += '<div class="ui-table">{{tableHTML}}</div></body></html>';

                var clone = this._datagrid.$el.clone();
                clone.find('.appkit-table-column, .ui-datatable-loading-rows').remove();

                try {
                    var printHTML = _.template(dataHTML)(_.extend({
                        title: this.get('name') + " Print out - " + JLV.ActivePatientModel.get('name'),
                        cssLink1: '<link rel="stylesheet" type="text/css" href="assets/AppKit/datatable.css" media="print">',
                        cssLink2: '<link rel="stylesheet" type="text/css" href="assets/view/print.css" media="print">',
                        tableHTML: clone.html()
                    }, JLV.ActivePatientModel.toJSON()));

                }
                catch (e) {
                }

                this._datagrid.$el.width('100%');
                this._datagrid.sizer();

                var printWindow = window.open("", "Print");
                printWindow.document.write(printHTML);

                printWindow.document.close();
                setTimeout(function () {
                    printWindow.print();
                    printWindow.close();
                }, 200);
            }


        }


    }
});