%{--
  - Janus 4.0 (c)
  - Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
  - Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
  - Contributors:
  -             Honorable Senator Daniel K. Inouye
  -             VA Pacific Islands Health Care System
  -             Tripler Army Medical Center
  -
  - Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
  -
  - You may obtain a copy of the License at:
  -
  -            http://www.apache.org/licenses/LICENSE-2.0.txt
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an "AS IS" BASIS,
  - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  - See the License for the specific language governing permissions and limitations under the License.
  --}%

<!DOCTYPE html>
<%@ page contentType="text/html;charset=UTF-8" %>
<html>
<head>

    <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>

    <title>JLV</title>

    <asset:javascript src="jquery"/>

    <asset:link rel="icon" href="favicon.ico" type="image/x-icon"/>
    <asset:stylesheet src="fonts/opensans/style.css"/>
    <asset:stylesheet id="fonts-css" src="AppKit/icons/style.css"/>
    <asset:stylesheet src="app/app.css"/>
    <asset:javascript src="app/app.js"/>

</head>

%{--<FRAMESET ROWS="0,0,*" onUnload="unload();"  border="0px" style="background-color: #333;">--}%
%{--<frame name="enablerFrame" src="<%=response.encodeURL(resource(dir:'', file:'enabler.jsp'))%>" noresize marginwidth="0" marginheight="0"--}%
%{--scrolling="no" frameborder="0">--}%
%{--<frame name="app" src="<%=response.encodeURL(resource(dir:'context'))%>" noresize marginwidth="0" marginheight="0" frameborder="0">--}%
%{--<frame name="view" src="<%=response.encodeURL(resource(dir:'view'))%>" noresize marginwidth="0" marginheight="0" scrolling="yes"--}%
%{--frameborder="0">--}%
%{--</FRAMESET>--}%
<body>
<div id="loading">
    <div id="loadMessage" aria-label="loading">
        <asset:image src="loading.gif" alt="loading JLV application"/>  <br/><br/>
        Loading application files, please wait...
    </div>
</div>
<iframe role="presentation" title="enabler frame" class="iframe-context" name="enablerFrame"
        src="<%=resource(dir: '/assets', file: 'enabler.jsp')%>">
</iframe>
<iframe role="presentation" title="app" class="iframe-context" name="app" src="<%=resource(dir: 'context')%>">
</iframe>

<iframe id="appView" class="iframe-app" name="view"
        src="<%=response.encodeURL(resource(dir: 'view'))%>" onload="loaded();">
</iframe>

</html>