package gov.va.med.guibeans;


import java.util.ArrayList;
import java.util.List;

public class GUIOutsideProvider {

    private String id;
    private String organization;
    private String name;
    private String npi;


    private String phone;
    private String email;
    private String dataTypeAccess;
    private String username;
    private String password;

    private List<GUIAssignedPatient> assignedPatients;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNpi() {
        return npi;
    }

    public void setNpi(String npi) {
        this.npi = npi;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getDataTypeAccess() {
        return dataTypeAccess;
    }

    public void setDataTypeAccess(String dataTypeAccess) {
        this.dataTypeAccess = dataTypeAccess;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public List<GUIAssignedPatient> getAssignedPatients() {

        if (assignedPatients == null) {
            assignedPatients = new ArrayList<GUIAssignedPatient>();
        }

        return assignedPatients;
    }

}
