/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

public class ProviderAppointmentBean {

    private String apptId;

    private String encounterId;

    private String apptDate;

    private String apptTime;

    private String patientName;

    private String patSSN;

    private String patDOB;

    private String apptType;

    private String apptReason;

    private String patientId;

    private String clinicName;

    private String locationCode;

    private String locationName;

    private String cpts;

    private String icds;

    private String ems;

    public ProviderAppointmentBean() {
        super();
    }

    public ProviderAppointmentBean(
            String apptId,
            String encounterId,
            String apptDate,
            String apptTime,
            String patientName,
            String patSSN,
            String patDOB,
            String apptType,
            String apptReason,
            String patientId,
            String clinicName,
            String locationCode,
            String locationName,
            String cpts,
            String icds,
            String ems) {
        super();
        this.apptId = apptId;
        this.encounterId = encounterId;
        this.apptDate = apptDate;
        this.apptTime = apptTime;
        this.patientName = patientName;
        this.patSSN = patSSN;
        this.patDOB = patDOB;
        this.apptType = apptType;
        this.apptReason = apptReason;
        this.patientId = patientId;
        this.clinicName = clinicName;
        this.locationCode = locationCode;
        this.locationName = locationName;
        this.cpts = cpts;
        this.icds = icds;
        this.ems = ems;
    }

    /**
     * Gets the apptId value for this ProviderAppointmentBean.
     *
     * @return apptId
     */
    public String getApptId() {
        return apptId;
    }


    /**
     * Sets the encounterId value for this ProviderAppointmentBean.
     *
     * @param encounterId
     */
    public void setEncounterId(String encounterId) {
        this.encounterId = encounterId;
    }

    /**
     * Gets the encounterId value for this ProviderAppointmentBean.
     *
     * @return encounterId
     */
    public String getEncounterId() {
        return encounterId;
    }


    /**
     * Sets the apptId value for this ProviderAppointmentBean.
     *
     * @param apptDate
     */
    public void setApptId(String apptId) {
        this.apptId = apptId;
    }


    /**
     * Gets the apptDate value for this ProviderAppointmentBean.
     *
     * @return apptDate
     */
    public String getApptDate() {
        return apptDate;
    }


    /**
     * Sets the apptDate value for this ProviderAppointmentBean.
     *
     * @param apptDate
     */
    public void setApptDate(String apptDate) {
        this.apptDate = apptDate;
    }


    /**
     * Gets the apptTime value for this ProviderAppointmentBean.
     *
     * @return apptTime
     */
    public String getApptTime() {
        return apptTime;
    }


    /**
     * Sets the apptTime value for this ProviderAppointmentBean.
     *
     * @param apptTime
     */
    public void setApptTime(String apptTime) {
        this.apptTime = apptTime;
    }


    /**
     * Gets the patientName value for this ProviderAppointmentBean.
     *
     * @return patientName
     */
    public String getPatientName() {
        return patientName;
    }


    /**
     * Sets the patientName value for this ProviderAppointmentBean.
     *
     * @param patientName
     */
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    /**
     * Gets the patientSSN value for this ProviderAppointmentBean.
     *
     * @return patientName
     */
    public String getPatSSN() {
        return patSSN;
    }

    /**
     * Sets the patientSSN value for this ProviderAppointmentBean.
     *
     * @param patientSSN
     */
    public void setPatSSN(String patSSN) {
        this.patSSN = patSSN;
    }

    /**
     * Sets the patientDOB value for this ProviderAppointmentBean.
     *
     * @param patientDOB
     */
    public void setPatDOB(String patDOB) {
        this.patDOB = patDOB;
    }

    /**
     * Gets the patientSSN value for this ProviderAppointmentBean.
     *
     * @return patientName
     */
    public String getPatDOB() {
        return patDOB;
    }


    /**
     * Gets the apptType value for this ProviderAppointmentBean.
     *
     * @return apptType
     */
    public String getApptType() {
        return apptType;
    }


    /**
     * Sets the apptType value for this ProviderAppointmentBean.
     *
     * @param apptType
     */
    public void setApptType(String apptType) {
        this.apptType = apptType;
    }


    /**
     * Gets the apptReason value for this ProviderAppointmentBean.
     *
     * @return apptReason
     */
    public String getApptReason() {
        return apptReason;
    }


    /**
     * Sets the apptReason value for this ProviderAppointmentBean.
     *
     * @param apptReason
     */
    public void setApptReason(String apptReason) {
        this.apptReason = apptReason;
    }


    /**
     * Gets the patientId value for this ProviderAppointmentBean.
     *
     * @return patientId
     */
    public String getPatientId() {
        return patientId;
    }


    /**
     * Sets the patientId value for this ProviderAppointmentBean.
     *
     * @param patientId
     */
    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }


    /**
     * Gets the clinicName value for this ProviderAppointmentBean.
     *
     * @return clinicName
     */
    public String getClinicName() {
        return clinicName;
    }


    /**
     * Sets the clinicName value for this ProviderAppointmentBean.
     *
     * @param clinicName
     */
    public void setClinicName(String clinicName) {
        this.clinicName = clinicName;
    }


    /**
     * Gets the locationCode value for this ProviderAppointmentBean.
     *
     * @return locationCode
     */
    public String getLocationCode() {
        return locationCode;
    }


    /**
     * Sets the locationCode value for this ProviderAppointmentBean.
     *
     * @param locationCode
     */
    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }


    /**
     * Gets the locationName value for this ProviderAppointmentBean.
     *
     * @return locationName
     */
    public String getLocationName() {
        return locationName;
    }


    /**
     * Sets the locationName value for this ProviderAppointmentBean.
     *
     * @param locationName
     */
    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    /**
     * Gets the cpt codes value for this ProviderAppointmentBean.
     *
     * @return cpts
     */
    public String getCPTs() {
        return cpts;
    }


    /**
     * Sets the cpt codes value for this ProviderAppointmentBean.
     *
     * @param cpts
     */
    public void setCPTs(String cpts) {
        this.cpts = cpts;
    }

    /**
     * Gets the icd codes value for this ProviderAppointmentBean.
     *
     * @return cpts
     */
    public String getICDs() {
        return icds;
    }


    /**
     * Sets the cpt codes value for this ProviderAppointmentBean.
     *
     * @param cpts
     */
    public void setICDs(String icds) {
        this.icds = icds;
    }

    /**
     * Gets the em codes value for this ProviderAppointmentBean.
     *
     * @return ems
     */
    public String getEMs() {
        return ems;
    }


    /**
     * Sets the em codes value for this ProviderAppointmentBean.
     *
     * @param ems
     */
    public void setEMs(String ems) {
        this.ems = ems;
    }
}
