/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.beans;

import java.util.Date;
import java.util.List;

public class AssignedPatient {
    private String id;
    private String outsideProviderId;
    private String name;
    private String siteId;
    private String ien;
    private String consultNo;
    private String consultName;
    private String provider;
    private String status;
    private Date dateFilter;
    private List<Date> usage;
    private boolean assigned;

    public String getId() { return id; }

    public void setId(String id) { this.id = id; }

    public String getOutsideProviderId() { return outsideProviderId; }

    public void setOutsideProviderId(String outsideProviderId) { this.outsideProviderId = outsideProviderId; }

    public String getName() {
        return name;
    }

    public void setName(String name) { this.name = name; }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) { this.siteId = siteId; }

    public String getIen() {
        return ien;
    }

    public void setIen(String ien) {
        this.ien = ien;
    }

    public String getConsultNo() {
        return consultNo;
    }

    public void setConsultNo(String consultNo) {
        this.consultNo = consultNo;
    }

    public String getConsultName() {
        return consultName;
    }

    public void setConsultName(String consultName) {
        this.consultName = consultName;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getStatus() { return status; }

    public void setStatus(String status) { this.status = status; }

    public Date getDateFilter() { return dateFilter; }

    public void setDateFilter(Date dateFilter) { this.dateFilter = dateFilter; }

    public List<Date> getUsage() { return usage; }

    public void setUsage(List<Date> usage) { this.usage = usage; }

    public boolean isAssigned() { return assigned; }

    public void setAssigned(boolean assigned) { this.assigned = assigned; }

}
