/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.provider;

import gov.va.med.bhie.QueryBean;
import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.AssignedPatient;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.jmeadows.dao.beans.OutsideProvider;
import gov.va.med.jmeadows.webservice.JMeadowsData;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.fail;

public class ProviderDaoTest {
    public ProviderDaoTest()
    {

    }

//    @Test
//    public void testAddOutsideProvider()
//    {
//        try {
//            OutsideProvider op = new OutsideProvider();
//            op.setOrganization("Org");
//            op.setName("PROVIDER,BRAVO");
//            op.setNpi("000002");
//            op.setPhone("888-888-0002");
//            op.setEmail("bravo.provider@company.org");
//            op.setDataTypeAccess("VA");
//            op.setUsername("bravo.provider@company.org");
//            op.setPassword("abc123");
//
//            JMeadowsData jData = new JMeadowsData();
//            boolean success = jData.addOutsideProvider(op);
//
//            assert (success == true);
//        }
//        catch (JMeadowsException e) {
//            fail(e.getMessage());
//        }
//    }
//
//    @Test
//    public void testDeleteOutsideProvider()
//    {
//        try {
//            String id = "4";    // Outside provider's table entry ID
//
//            JMeadowsData jData = new JMeadowsData();
//            boolean success = jData.deleteOutsideProvider(id);
//
//            assert (success == true);
//        }
//        catch (JMeadowsException e) {
//            fail(e.getMessage());
//        }
//    }
//
//    @Test
//    public void testGetOutsideProvider()
//    {
//        try {
//            String username = "ace.provider@company.org";
//            String password = "abc001";
//
//            JMeadowsData jData = new JMeadowsData();
//            OutsideProvider op = jData.getOutsideProvider(username, password);
//
//            assert (op != null);
//        }
//        catch (JMeadowsException e) {
//            fail(e.getMessage());
//        }
//    }
//
//    @Test
//    public void testGetOutsideProviderList()
//    {
//        try {
//            String name = "provider";
//
//            JMeadowsData jData = new JMeadowsData();
//            List<OutsideProvider> op = jData.getOutsideProviderList(name);
//
//            assert (op != null);
//        }
//        catch (JMeadowsException e) {
//            fail(e.getMessage());
//        }
//    }
//
//    @Test
//    public void testAddAssignedPatient()
//    {
//        try {
//            AssignedPatient ap = new AssignedPatient();
//
//            ap.setOutsideProviderId("2");
//            ap.setName("PATIENT,ALPHA");
//            ap.setSiteId("200");
//            ap.setIen("000001");
//            ap.setConsultNo("000001");
//            ap.setConsultName("Scan");
//            ap.setProvider("PROVIDER,ZULU");
//
//            JMeadowsData jData = new JMeadowsData();
//            boolean success = jData.addAssignedPatient(ap);
//
//            assert (success == true);
//        }
//        catch (JMeadowsException e) {
//            fail(e.getMessage());
//        }
//    }
//
//    @Test
//    public void testGetAssignedPatientList()
//    {
//        try {
//            String opId = "1";
//
//            JMeadowsData jData = new JMeadowsData();
//            List<AssignedPatient> assignedPatientList = jData.getAssignedPatientList(opId);
//
//            assert (assignedPatientList != null);
//        }
//        catch (JMeadowsException e) {
//            fail(e.getMessage());
//        }
//    }
//
//    @Test
//    public void testDeleteAssignedPatient()
//    {
//        try {
//            String apId = "6";
//
//            JMeadowsData jData = new JMeadowsData();
//            boolean success = jData.deleteAssignedPatient(apId);
//
//            assert (success == true);
//        }
//        catch (JMeadowsException e) {
//            fail(e.getMessage());
//        }
//    }
//
//    @Test
//    public void testAddAssignedPatientUsage()
//    {
//        try {
//            String opId = "1";
//            String apId = "3";
//
//            JMeadowsData jData = new JMeadowsData();
//            boolean success = jData.addAssignedPatientUsage(opId, apId);
//
//            assert (success == true);
//        }
//        catch (JMeadowsException e) {
//            fail(e.getMessage());
//        }
//    }
}
